OGRE: Ogre::StaticGeometry::MaterialBucket Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::StaticGeometry::MaterialBucket Class Reference

A MaterialBucket is a collection of smaller buckets with the same Material (and implicitly the same LOD). More...

`#include <OgreStaticGeometry.h>`

Inheritance diagram for Ogre::StaticGeometry::MaterialBucket:
[legend]

## Public Types
typedef std::vector< GeometryBucket * > | GeometryBucketList
| list of Geometry Buckets in this region
typedef VectorIterator< GeometryBucketList > | GeometryIterator
| Iterator over geometry.

## Public Member Functions
| MaterialBucket (LODBucket *parent, const MaterialPtr &material)
virtual | ~MaterialBucket ()
void | _setMaterial (const MaterialPtr &material)
| Override Material without changing the partitioning. For advanced use only.
void | addRenderables (RenderQueue *queue, uint8 group, Real lodValue)
| Add children to the render queue.
void | assign (QueuedGeometry *qsm)
| Assign geometry to this bucket.
void | build (bool stencilShadows)
| Build.
Technique * | getCurrentTechnique (void) const
| Get the current Technique.
GeometryIterator | getGeometryIterator (void)
const GeometryBucketList & | getGeometryList () const
| Get a list of the contained geometry.
const MaterialPtr & | getMaterial (void) const
| Get the material for this bucket.
const String & | getMaterialName (void) const
| Get the material name.
LODBucket * | getParent (void)
void | visitRenderables (Renderable::Visitor *visitor, bool debugRenderables)

## Detailed Description

A MaterialBucket is a collection of smaller buckets with the same Material (and implicitly the same LOD).

## Member Typedef Documentation

## ◆ GeometryBucketList

typedef std::vector<GeometryBucket*> Ogre::StaticGeometry::MaterialBucket::GeometryBucketList

list of Geometry Buckets in this region

## ◆ GeometryIterator

typedef VectorIterator<GeometryBucketList> Ogre::StaticGeometry::MaterialBucket::GeometryIterator

Iterator over geometry.

## Constructor & Destructor Documentation

## ◆ MaterialBucket()

Ogre::StaticGeometry::MaterialBucket::MaterialBucket | ( | LODBucket * | parent,
|  | const MaterialPtr & | material )

Referenced by operator<<.

## ◆ ~MaterialBucket()

virtual Ogre::StaticGeometry::MaterialBucket::~MaterialBucket | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getParent()

LODBucket * Ogre::StaticGeometry::MaterialBucket::getParent | ( | void |  | ) |
| inline

## ◆ getMaterialName()

const String & Ogre::StaticGeometry::MaterialBucket::getMaterialName | ( | void |  | ) | const
| inline

Get the material name.

## ◆ assign()

void Ogre::StaticGeometry::MaterialBucket::assign | ( | QueuedGeometry * | qsm | ) |

Assign geometry to this bucket.

## ◆ build()

void Ogre::StaticGeometry::MaterialBucket::build | ( | bool | stencilShadows | ) |

Build.

## ◆ addRenderables()

void Ogre::StaticGeometry::MaterialBucket::addRenderables | ( | RenderQueue * | queue,
|  | uint8 | group,
|  | Real | lodValue )

Add children to the render queue.

## ◆ getMaterial()

const MaterialPtr & Ogre::StaticGeometry::MaterialBucket::getMaterial | ( | void |  | ) | const
| inline

Get the material for this bucket.

## ◆ _setMaterial()

void Ogre::StaticGeometry::MaterialBucket::_setMaterial | ( | const MaterialPtr & | material | ) |

Override Material without changing the partitioning. For advanced use only.

## ◆ getGeometryList()

const GeometryBucketList & Ogre::StaticGeometry::MaterialBucket::getGeometryList | ( |  | ) | const
| inline

Get a list of the contained geometry.

## ◆ getGeometryIterator()

GeometryIterator Ogre::StaticGeometry::MaterialBucket::getGeometryIterator | ( | void |  | ) |

Deprecated
  use getGeometryList()

## ◆ getCurrentTechnique()

Technique * Ogre::StaticGeometry::MaterialBucket::getCurrentTechnique | ( | void |  | ) | const
| inline

Get the current Technique.

## ◆ visitRenderables()

void Ogre::StaticGeometry::MaterialBucket::visitRenderables | ( | Renderable::Visitor * | visitor,
|  | bool | debugRenderables )

The documentation for this class was generated from the following file:

- OgreStaticGeometry.h